$(function()
{
	//장비번호 클릭시 서버 토글 열기
	$("#server_code").click(function()
	{
		$("#server").show();
	});
	
	$("#server_code").bind("input",function()
	{
		$("#server").empty();
		var d = $(this).val();
		//장비번호 불러오기
		$.get("IdcGetUseServerCode.jso","server_code="+d,function(data)
		{
			var t = data.a;
			for(var i=0;i<t.length;i++)
			{
				var li = $("<li>");
				var a = $("<a>");
				
				a.addClass("server_code").html(t[i]).attr("href","#");
				
				li.append(a);
				$("#server").append(li);
			}
		});
		$("#server").show();
	});
	
	//장비번호 여러개 중  클릭시 하는 일.
	$(document).on("click",".server_code",function()
	{
		var code = $(this).html();
		$("#server_code").val(code);
		$("#server").hide();
		var cs = $("#cs_code");
	
		$.get("IdcGetKCSList.jso","&server_code="+code,function(data)
		{
			var t = data.a;		//a = cs리스트가 있다.
			var t2 = data.b;		//b = 서비스 정보가 있다.
		
			$("#service_line").val(t2.service_line);
			$("#client_name").val(t2.client_name);
			$("#service_ip").val(t2.service_ip);
			$("#service_code").val(t2.service_code);
			$("#service_admin").val(t2.service_admin);
		});
	});
	
});